Rainbows! Rack HTTP server user/dev discussion
 help / color / mirror / code / Atom feed
* [PATCH] t0105: fix test reliability
@ 2015-11-24 21:36 Eric Wong
  0 siblings, 0 replies; only message in thread
From: Eric Wong @ 2015-11-24 21:36 UTC (permalink / raw)
  To: rainbows-public; +Cc: Eric Wong

It's possible curl will be sending to us and detect an error in the
send before it has a chance to read our (premature) 413 response.

Of course, we cannot afford to read an entire request when returning
a premature 413 response because we risk wasting bandwidth that way.
---
 t/t0105-rack-input-limit-bigger.sh | 12 ++++++++++--
 1 file changed, 10 insertions(+), 2 deletions(-)

diff --git a/t/t0105-rack-input-limit-bigger.sh b/t/t0105-rack-input-limit-bigger.sh
index 1ae0191..ee03d44 100755
--- a/t/t0105-rack-input-limit-bigger.sh
+++ b/t/t0105-rack-input-limit-bigger.sh
@@ -25,7 +25,11 @@ t_begin "stops a regular request" && {
 	rm -f $tmp
 	dbgcat curl_err
 	dbgcat curl_out
-	grep 413 $curl_err
+	if ! grep 413 $curl_err
+	then
+		# send error as documented in curl(1) manpage
+		grep -F '(55)' $curl_err
+	fi
 	test -e $ok
 }
 
@@ -36,7 +40,11 @@ t_begin "stops a large chunked request" && {
 	  http://$listen/ > $curl_out 2> $curl_err || > $ok
 	dbgcat curl_err
 	dbgcat curl_out
-	grep 413 $curl_err
+	if ! grep 413 $curl_err
+	then
+		# send error as documented in curl(1) manpage
+		grep -F '(55)' $curl_err
+	fi
 	test -e $ok
 }
 
-- 
EW


^ permalink raw reply related	[flat|nested] only message in thread

only message in thread, other threads:[~2015-11-24 21:36 UTC | newest]

Thread overview: (only message) (download: mbox.gz / follow: Atom feed)
-- links below jump to the message on this page --
2015-11-24 21:36 [PATCH] t0105: fix test reliability Eric Wong

Code repositories for project(s) associated with this public inbox

	https://yhbt.net/rainbows.git/

This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox;
as well as URLs for read-only IMAP folder(s) and NNTP newsgroup(s).